Altibase.jdbc.driver

## Enum AltibaseJDBCType

- java.lang.Object
- - java.lang.Enum<AltibaseJDBCType>
  - - Altibase.jdbc.driver.AltibaseJDBCType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AltibaseJDBCType>, java.sql.SQLType

    public enum AltibaseJDBCType
    extends java.lang.Enum<AltibaseJDBCType>
    implements java.sql.SQLType

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY`
`BIGINT`
`BINARY`
`BIT`
`BLOB`
`BOOLEAN`
`BYTE`
`CHAR`
`CLOB`
`DATALINK`
`DATE`
`DECIMAL`
`DISTINCT`
`DOUBLE`
`FLOAT`
`GEOMETRY`
`INTEGER`
`INTERVAL`
`JAVA_OBJECT`
`LONGVARBINARY`
`LONGVARCHAR`
`NCHAR`
`NIBBLE`
`NULL`
`NUMBER`
`NUMERIC`
`NVARCHAR`
`OTHER`
`REAL`
`REF`
`SMALLINT`
`STRUCT`
`TIME`
`TIMESTAMP`
`TINYINT`
`VARBINARY`
`VARBIT`
`VARBYTE`
`VARCHAR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.lang.String` `getVendor()`
`java.lang.Integer` `getVendorTypeNumber()`
`static AltibaseJDBCType` `valueOf(int aType)`
`static AltibaseJDBCType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AltibaseJDBCType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BIT

    public static final AltibaseJDBCType BIT

#### TINYINT

    public static final AltibaseJDBCType TINYINT

#### SMALLINT

    public static final AltibaseJDBCType SMALLINT

#### INTEGER

    public static final AltibaseJDBCType INTEGER

#### BIGINT

    public static final AltibaseJDBCType BIGINT

#### FLOAT

    public static final AltibaseJDBCType FLOAT

#### REAL

    public static final AltibaseJDBCType REAL

#### DOUBLE

    public static final AltibaseJDBCType DOUBLE

#### NUMERIC

    public static final AltibaseJDBCType NUMERIC

#### DECIMAL

    public static final AltibaseJDBCType DECIMAL

#### CHAR

    public static final AltibaseJDBCType CHAR

#### VARCHAR

    public static final AltibaseJDBCType VARCHAR

#### LONGVARCHAR

    public static final AltibaseJDBCType LONGVARCHAR

#### DATE

    public static final AltibaseJDBCType DATE

#### TIME

    public static final AltibaseJDBCType TIME

#### TIMESTAMP

    public static final AltibaseJDBCType TIMESTAMP

#### BINARY

    public static final AltibaseJDBCType BINARY

#### VARBINARY

    public static final AltibaseJDBCType VARBINARY

#### LONGVARBINARY

    public static final AltibaseJDBCType LONGVARBINARY

#### NULL

    public static final AltibaseJDBCType NULL

#### OTHER

    public static final AltibaseJDBCType OTHER

#### JAVA_OBJECT

    public static final AltibaseJDBCType JAVA_OBJECT

#### DISTINCT

    public static final AltibaseJDBCType DISTINCT

#### STRUCT

    public static final AltibaseJDBCType STRUCT

#### ARRAY

    public static final AltibaseJDBCType ARRAY

#### BLOB

    public static final AltibaseJDBCType BLOB

#### CLOB

    public static final AltibaseJDBCType CLOB

#### REF

    public static final AltibaseJDBCType REF

#### DATALINK

    public static final AltibaseJDBCType DATALINK

#### BOOLEAN

    public static final AltibaseJDBCType BOOLEAN

#### NCHAR

    public static final AltibaseJDBCType NCHAR

#### NVARCHAR

    public static final AltibaseJDBCType NVARCHAR

#### BYTE

    public static final AltibaseJDBCType BYTE

#### VARBYTE

    public static final AltibaseJDBCType VARBYTE

#### NIBBLE

    public static final AltibaseJDBCType NIBBLE

#### GEOMETRY

    public static final AltibaseJDBCType GEOMETRY

#### VARBIT

    public static final AltibaseJDBCType VARBIT

#### NUMBER

    public static final AltibaseJDBCType NUMBER

#### INTERVAL

    public static final AltibaseJDBCType INTERVAL

### Method Detail

#### values

    public static AltibaseJDBCType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AltibaseJDBCType c : AltibaseJDBCType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AltibaseJDBCType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `java.sql.SQLType`

#### getVendor

    public java.lang.String getVendor()

Specified by:
  `getVendor` in interface `java.sql.SQLType`

#### getVendorTypeNumber

    public java.lang.Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `java.sql.SQLType`

#### valueOf

    public static AltibaseJDBCType valueOf(int aType)